Bug 4735 - mount.cifs(8) add note about changed credentials format
mount.cifs(8) add note about changed credentials format
Status: NEW
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.25a
Other Linux
: P3 normal
: none
Assigned To: John H Terpstra
Samba Documentation QA Contact~
http://bugs.debian.org/369495
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-23 07:01 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2011-04-04 15:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2007-06-23 07:01:35 UTC
Hello,

mount.smb(8):
...
       credentials=<filename>
          specifies  a file that contains a username and/or password. The for‐
          mat of the file is:

          username = <value>
          password = <value>
...

mount.cifs(8):
...
       credentials=filename
          specifies a file that contains a username and/or password. The  for‐
          mat of the file is:

                    username=value
                    password=value
...

People should switch from smb to cifs and some stumble about this change. They have to remove the spaces around the =

I see 2 possible solutions:
1. make mount.cifs to parse both possibilities correct
2. add a note to the manpage about this format change

thx.

noel@d.o
Comment 1 John H Terpstra 2007-09-11 23:55:10 UTC
Thanks. This change has been adopted into the man page for smbmount(8).
Comment 2 Steve Langasek 2007-11-25 03:44:27 UTC
I don't see any comments in the current mount.cifs(8) manpage about the difference in credentials file format compared with smbmount.  I think this bug was closed in error.
Comment 3 Gerald (Jerry) Carter 2007-11-26 08:05:40 UTC
Steve, please check in the samba-docs svn trunk at
svn://svnanon.samba.org/samba-docs/trunk to confirm.
Comment 4 Steve Langasek 2007-11-26 16:19:28 UTC
confirmed.  the description of credentials in svn://svnanon.samba.org/samba-docs/trunk/manpages-3/mount.cifs.8.xml is:
        <varlistentry><term>credentials=<replaceable>filename</replaceable></term>

                <listitem><para>
                                specifies a file that contains a username
                                and/or password. The format of the file is:
                        </para>

<programlisting>
                username=<replaceable>value</replaceable>
                password=<replaceable>value</replaceable>
</programlisting>

                <para>
This is preferred over having passwords in plaintext in a
shared file, such as <filename>/etc/fstab</filename>. Be sure to protect any
credentials file properly.
                </para>
        </listitem></varlistentry>

While the described syntax is correct, there is no mention of the difference between cifs and smbfs.
Comment 5 Debian samba package maintainers (PUBLIC MAILING LIST) 2008-03-09 03:06:36 UTC
From Steve's comment, I think we consider this bug to not really be fixed. An explicit mention of the difference with mount.smbfs would be good. So, I take the liberty of reopening the bug (I hope that's not considered rude)
Comment 6 Luk Claes 2011-04-04 15:26:48 UTC
There is now something included in the BUGS paragraph about leading space in usernames and passwords. Does this mean this bug will never get 'fixed' as it would be unclear if leading space is part of a username/password or is part of the separator ( = )?